.btn{			
	cursor                 : pointer;
	font-family            : $font_family;
	font-size              : 18px;
	display                : inline-block;
	width                  : 280px;
	text-align             : center;		
	position               : relative;
	border                 : 0px;
	outline                : none;
	border-radius          : 3px;
						
	padding                : 8px 0px 8px 0px;
	margin                 : 0px;
		
	-webkit-transition     : background 0.15s ease-in-out;
	-moz-transition        : background 0.15s ease-in-out;
	transition             : background 0.15s ease-in-out;
	text-decoration        : none;
	-webkit-font-smoothing : antialiased;


	&.size-max{	
		width         : 100%;
	}			
							
	&.size-auto{		
		width         :auto;
		padding-left  :20px;
		padding-right :20px;
	}	

	&.size-auto-icon{	
		width         :auto;
		padding-left  :45px;
		padding-right :45px;
	}	
			
	color            :$white;
	background-color :$graydark_bold;
		
    &:hover{
		color            :$white;	
		background-color :darken($graydark,20%);
		text-decoration  :none;
	}	

	&.btn-danger{		
		background-color :$red_bold;
		&:hover{
			color            :$white;
			background-color :$red;
		}
	}	
	&.btn-primary{	
		background-color      : $blue_bold;	
		&:hover{			
			background-color : 	$blue;
		}
	}					
	&.btn-info{				
		background-color    : $bluesky;
		&:hover{
			background-color      : darken($bluesky,20%);
		}		
	}		
	&.btn-success{
		background-color      : $green_bold;
		&:hover{				
			background-color    : $green;
		}
	}	
	&.btn-warning{	
		background-color      : $orange_bold;	
		&:hover{				
			background-color : 	$orange;
		}
	}		

	input[type='file']{
		display    : none;
		visibility : none;	
	}	

	i{		
		font-size   : 22px;
			
		color 		: #fff;	
		font-family : $font_family_bold; 			
		&.left{	
			margin-top  : 5px;	
			top         : 0;
			left        : 0;
			position    : absolute;
			margin-left : 15px;
		}	
		&.right{		
			margin-top   : 5px;	
			top          : 0;
			right        : 0;	
			position     : absolute;
			margin-right : 15px;
		}
	}
	
}
		

@media screen and (max-width : $screen_phone){
	.btn:not(.prevent-media){	
		width         : 100%;
		padding-left  : 0px;
		padding-right : 0px;
		&.size-max{	
			width         : 100%;
		}			
								
		&.size-auto{		
			width         : calc(100% - 40px);
		}

		&.size-auto-icon{		
			width         :calc(100% - 90px);	
		}	
	}
} 	